Create customers
curl --request POST \
--url https://api.anchorage-staging.com/v4/customers \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
[
{
"customerType": "INDIVIDUAL",
"externalId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"idNumber": "<string>",
"address": {
"country": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"dateOfBirth": "2023-12-25"
}
]
'import requests
url = "https://api.anchorage-staging.com/v4/customers"
payload = [
{
"customerType": "INDIVIDUAL",
"externalId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"idNumber": "<string>",
"address": {
"country": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"dateOfBirth": "2023-12-25"
}
]
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
customerType: 'INDIVIDUAL',
externalId: '<string>',
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
idNumber: '<string>',
address: {
country: '<string>',
streetAddress: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>'
},
dateOfBirth: '2023-12-25'
}
])
};
fetch('https://api.anchorage-staging.com/v4/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"index": 1,
"id": "<string>",
"status": "SUCCESS"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Create customers
Permissions required: Manage Customers
Open one or more customer onboarding applications. Use
GET /customers/{customerId} to retrieve full details, including
documents, once creation completes.
POST
/
customers
Create customers
curl --request POST \
--url https://api.anchorage-staging.com/v4/customers \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
[
{
"customerType": "INDIVIDUAL",
"externalId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"idNumber": "<string>",
"address": {
"country": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"dateOfBirth": "2023-12-25"
}
]
'import requests
url = "https://api.anchorage-staging.com/v4/customers"
payload = [
{
"customerType": "INDIVIDUAL",
"externalId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"idNumber": "<string>",
"address": {
"country": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"dateOfBirth": "2023-12-25"
}
]
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
customerType: 'INDIVIDUAL',
externalId: '<string>',
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
idNumber: '<string>',
address: {
country: '<string>',
streetAddress: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>'
},
dateOfBirth: '2023-12-25'
}
])
};
fetch('https://api.anchorage-staging.com/v4/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"index": 1,
"id": "<string>",
"status": "SUCCESS"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Headers
Body
application/json
Customers to create
- Create Individual Customer
- Create Business Customer
Request to create a new individual customer
Was this page helpful?